# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::EnableSet Class Reference

A set of enables managed by Shader. More...

`#include <EnableSet.hpp>`

Inheritance diagram for vl::EnableSet:

List of all members.

## Public Member Functions

| EnableSet ()
void | enable (EEnable capability)
void | disable (EEnable capability)
const std::vector< EEnable > & | enables () const
int | isEnabled (EEnable capability) const
void | disableAll ()
bool | isBlendingEnabled () const

## Protected Attributes

std::vector< EEnable > | mEnables
bool | mBlendingEnabled

## Detailed Description

A set of enables managed by Shader.

This class substitutes for the most part the OpenGL functions glEnable() and glDisable().

See also:
  Shader, Effect, Actor

Definition at line 47 of file EnableSet.hpp.

## Constructor & Destructor Documentation

vl::EnableSet::EnableSet | ( | ) | `[inline]`

Definition at line 52 of file EnableSet.hpp.

References vl::EN_DITHER, vl::EN_MULTISAMPLE, mEnables, and VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

void vl::EnableSet::enable | ( | EEnable | capability ) | `[inline]`

Definition at line 65 of file EnableSet.hpp.

References vl::EN_BLEND, mBlendingEnabled, and mEnables.

void vl::EnableSet::disable | ( | EEnable | capability ) | `[inline]`

Definition at line 75 of file EnableSet.hpp.

References vl::EN_BLEND, mBlendingEnabled, and mEnables.

const std::vector<EEnable>& vl::EnableSet::enables | ( | ) | const`[inline]`

Definition at line 89 of file EnableSet.hpp.

References mEnables.

Referenced by vl::OpenGLContext::applyEnables(), and vl::VLXClassWrapper_Shader::exportShader().

int vl::EnableSet::isEnabled | ( | EEnable | capability ) | const`[inline]`

Definition at line 91 of file EnableSet.hpp.

References mEnables.

void vl::EnableSet::disableAll | ( | ) | `[inline]`

Definition at line 99 of file EnableSet.hpp.

References mBlendingEnabled, and mEnables.

bool vl::EnableSet::isBlendingEnabled | ( | ) | const`[inline]`

Definition at line 101 of file EnableSet.hpp.

References mBlendingEnabled.

## Member Data Documentation

std::vector<EEnable> vl::EnableSet::mEnables`[protected]`

Definition at line 104 of file EnableSet.hpp.

Referenced by disable(), disableAll(), enable(), enables(), EnableSet(), and isEnabled().

bool vl::EnableSet::mBlendingEnabled`[protected]`

Definition at line 105 of file EnableSet.hpp.

Referenced by disable(), disableAll(), enable(), and isBlendingEnabled().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/EnableSet.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:35.
Permission is granted to use this page to write and publish articles regarding Visualization Library.